<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__widget__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_widget_config_t</compoundname>
    <includes local="no">cy_capsense_structure.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__widget__config__t_1adb558f384dcfa5fe3701f6c377b94da3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref> *</type>
        <definition>cy_stc_capsense_widget_context_t* cy_stc_capsense_widget_config_t::ptrWdContext</definition>
        <argsstring />
        <name>ptrWdContext</name>
        <briefdescription>
<para>Pointer to context structure of this widget. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="381" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="381" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1aace32d41062b136d802d346231967ad5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref> *</type>
        <definition>cy_stc_capsense_sensor_context_t* cy_stc_capsense_widget_config_t::ptrSnsContext</definition>
        <argsstring />
        <name>ptrSnsContext</name>
        <briefdescription>
<para>Pointer to the first object of sensor context structure that belongs to this widget. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="382" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="382" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a88a5166ff86cf001344434b0bb84d799" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__capsense__electrode__config__t">cy_stc_capsense_electrode_config_t</ref> *</type>
        <definition>const cy_stc_capsense_electrode_config_t* cy_stc_capsense_widget_config_t::ptrEltdConfig</definition>
        <argsstring />
        <name>ptrEltdConfig</name>
        <briefdescription>
<para>Pointer to the first object of electrode configuration structure that belongs to this widget. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="383" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="383" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1aeb69ac183634b05ecb92ab57e1b8feb9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t *</type>
        <definition>uint32_t* cy_stc_capsense_widget_config_t::ptrEltdCapacitance</definition>
        <argsstring />
        <name>ptrEltdCapacitance</name>
        <briefdescription>
<para>Pointer to the first object in the electrode capacitance array that belongs to this widget. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="384" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="384" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1aa246164662305a0152b2736f56b67e5a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t *</type>
        <definition>uint16_t* cy_stc_capsense_widget_config_t::ptrBslnInv</definition>
        <argsstring />
        <name>ptrBslnInv</name>
        <briefdescription>
<para>Pointer to the first object in the sensor baseline inversion array that belongs to this widget. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="385" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="385" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a8cbf228dd4ae8a901c911c162c70b30a" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t">cy_stc_capsense_smartsense_csd_noise_envelope_t</ref> *</type>
        <definition>cy_stc_capsense_smartsense_csd_noise_envelope_t* cy_stc_capsense_widget_config_t::ptrNoiseEnvelope</definition>
        <argsstring />
        <name>ptrNoiseEnvelope</name>
        <briefdescription>
<para>Pointer to the noise envelope filter used by SmartSense. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="387" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="387" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a3b1c56df207169c04a05b7fa8833b0fc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t *</type>
        <definition>uint16_t* cy_stc_capsense_widget_config_t::ptrRawFilterHistory</definition>
        <argsstring />
        <name>ptrRawFilterHistory</name>
        <briefdescription>
<para>Pointer to the raw count filter history of the widget. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="389" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="389" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a9c3303699258fdb9e0a1c51ac8542370" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_capsense_widget_config_t::ptrRawFilterHistoryLow</definition>
        <argsstring />
        <name>ptrRawFilterHistoryLow</name>
        <briefdescription>
<para>Pointer to the raw count filter history extended of the widget. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="390" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="390" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a3837d9686917c0fdfc96cadb261dbc03" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_widget_config_t::iirCoeff</definition>
        <argsstring />
        <name>iirCoeff</name>
        <briefdescription>
<para>Raw count IIR filter coefficient. </para>        </briefdescription>
        <detaileddescription>
<para>Smaller value leads to higher filtering </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="391" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="391" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1aa353e792734db1ff3873175bb8e832b9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_capsense_widget_config_t::ptrDebounceArr</definition>
        <argsstring />
        <name>ptrDebounceArr</name>
        <briefdescription>
<para>Pointer to the debounce array of the widget. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="393" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="393" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a6224ab7605e28404d786633b2c1c1f6b" kind="variable" mutable="no" prot="public" static="no">
        <type>const uint8_t *</type>
        <definition>const uint8_t* cy_stc_capsense_widget_config_t::ptrDiplexTable</definition>
        <argsstring />
        <name>ptrDiplexTable</name>
        <briefdescription>
<para>Pointer to the diplex table used for Linear slider when Diplex option is enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="395" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="395" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1ad2825a42c272b5c46dbcb15a21ec913f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_widget_config_t::centroidConfig</definition>
        <argsstring />
        <name>centroidConfig</name>
        <briefdescription>
<para>Configuration of centroids. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="396" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="396" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1adfae2ef0d4316555d1e3c54e39c4aeb5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_config_t::xResolution</definition>
        <argsstring />
        <name>xResolution</name>
        <briefdescription>
<para>Keeps maximum position value. </para>        </briefdescription>
        <detaileddescription>
<para>For Touchpads X-axis maximum position </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="397" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="397" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1ae527a11d29c8deb400a6c2a58d677aee" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_config_t::yResolution</definition>
        <argsstring />
        <name>yResolution</name>
        <briefdescription>
<para>For Touchpads Y-Axis maximum position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="398" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="398" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1ae61718f5e9f507beaff5d105e03659a0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_config_t::numSns</definition>
        <argsstring />
        <name>numSns</name>
        <briefdescription>
<para>The total number of sensors: For CSD widgets: WD_NUM_ROWS + WD_NUM_COLS. </para>        </briefdescription>
        <detaileddescription>
<para>For CSX widgets: WD_NUM_ROWS * WD_NUM_COLS. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="399" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="399" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1af281dfdef5176c9db5e88cf162686ad4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_config_t::numCols</definition>
        <argsstring />
        <name>numCols</name>
        <briefdescription>
<para>For CSD Button and Proximity Widgets, the number of sensors. </para>        </briefdescription>
        <detaileddescription>
<para>For CSD Slider Widget, the number of segments. For CSD Touchpad and Matrix Button, the number of the column sensors. For CSX Button, Touchpad, and Matrix Button, the number of the Rx electrodes. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="402" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="402" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a93e1fecbb0649d67dee102b1ef2cd1b8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_config_t::numRows</definition>
        <argsstring />
        <name>numRows</name>
        <briefdescription>
<para>For CSD Touchpad and Matrix Buttons, the number of the row sensors. </para>        </briefdescription>
        <detaileddescription>
<para>For the CSX Button, the number of the Tx electrodes (constant 1u). For CSX Touchpad and Matrix Button, the number of the Tx electrodes. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="406" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="406" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a6136eead3f476c9c0d1d3fa1dfd8c189" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__touch__t">cy_stc_capsense_touch_t</ref> *</type>
        <definition>cy_stc_capsense_touch_t* cy_stc_capsense_widget_config_t::ptrPosFilterHistory</definition>
        <argsstring />
        <name>ptrPosFilterHistory</name>
        <briefdescription>
<para>Pointer to the position filter history. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="409" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="409" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1ac662c2d9016717ff89a9fd8c26c97c02" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__csx__touch__history__t">cy_stc_capsense_csx_touch_history_t</ref> *</type>
        <definition>cy_stc_capsense_csx_touch_history_t* cy_stc_capsense_widget_config_t::ptrCsxTouchHistory</definition>
        <argsstring />
        <name>ptrCsxTouchHistory</name>
        <briefdescription>
<para>Pointer to the CSX touchpad history. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="410" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="410" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a35afcfaedb37e24127fa5642bab59b45" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__csx__touch__buffer__t">cy_stc_capsense_csx_touch_buffer_t</ref> *</type>
        <definition>cy_stc_capsense_csx_touch_buffer_t* cy_stc_capsense_widget_config_t::ptrCsxTouchBuffer</definition>
        <argsstring />
        <name>ptrCsxTouchBuffer</name>
        <briefdescription>
<para>Pointer to the single CSX buffer needed for CSX touchpad processing. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="411" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="411" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a8da5973b3062723df1b1ebf6b7f5bd86" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t *</type>
        <definition>uint16_t* cy_stc_capsense_widget_config_t::ptrCsdTouchBuffer</definition>
        <argsstring />
        <name>ptrCsdTouchBuffer</name>
        <briefdescription>
<para>Pointer to the CSD buffer needed for advanced CSD touchpad processing. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="412" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="412" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a0f4c0e442a86b761a8a00cd76ecc83b5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__config__t">cy_stc_capsense_gesture_config_t</ref> *</type>
        <definition>cy_stc_capsense_gesture_config_t* cy_stc_capsense_widget_config_t::ptrGestureConfig</definition>
        <argsstring />
        <name>ptrGestureConfig</name>
        <briefdescription>
<para>Pointer to Gesture configuration structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="414" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="414" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1ad60be1a14aded108976eb2d66daac7f1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__context__t">cy_stc_capsense_gesture_context_t</ref> *</type>
        <definition>cy_stc_capsense_gesture_context_t* cy_stc_capsense_widget_config_t::ptrGestureContext</definition>
        <argsstring />
        <name>ptrGestureContext</name>
        <briefdescription>
<para>Pointer to Gesture context structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="415" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="415" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a5fc7dffe9f218833d42b73769d0e6965" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__ballistic__config__t">cy_stc_capsense_ballistic_config_t</ref></type>
        <definition>cy_stc_capsense_ballistic_config_t cy_stc_capsense_widget_config_t::ballisticConfig</definition>
        <argsstring />
        <name>ballisticConfig</name>
        <briefdescription>
<para>The configuration data for position ballistic filter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="417" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="417" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1ad510b796c693e08b4f4b8bf8f76c3fb5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__ballistic__context__t">cy_stc_capsense_ballistic_context_t</ref> *</type>
        <definition>cy_stc_capsense_ballistic_context_t* cy_stc_capsense_widget_config_t::ptrBallisticContext</definition>
        <argsstring />
        <name>ptrBallisticContext</name>
        <briefdescription>
<para>Pointer to Ballistic filter context structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="418" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="418" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a44c45fc836a80c8fe858ab3d5133d751" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__adaptive__filter__config__t">cy_stc_capsense_adaptive_filter_config_t</ref></type>
        <definition>cy_stc_capsense_adaptive_filter_config_t cy_stc_capsense_widget_config_t::aiirConfig</definition>
        <argsstring />
        <name>aiirConfig</name>
        <briefdescription>
<para>The configuration of position adaptive filter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="420" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="420" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a94b1400ac7cf425e79664f4e19f54d0b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__advanced__touchpad__config__t">cy_stc_capsense_advanced_touchpad_config_t</ref></type>
        <definition>cy_stc_capsense_advanced_touchpad_config_t cy_stc_capsense_widget_config_t::advConfig</definition>
        <argsstring />
        <name>advConfig</name>
        <briefdescription>
<para>The configuration of CSD advanced touchpad. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="421" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="421" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a477c8db37f2ff589fa1967272d1f5260" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_capsense_widget_config_t::posFilterConfig</definition>
        <argsstring />
        <name>posFilterConfig</name>
        <briefdescription>
<para>Position filters configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="423" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="423" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a67d55b8afd94b5ff3de3587a4241c628" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_config_t::rawFilterConfig</definition>
        <argsstring />
        <name>rawFilterConfig</name>
        <briefdescription>
<para>Raw count filters configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="424" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="424" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a417a8786dfe62d3940fd7d5e265b9e2e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_config_t::senseMethod</definition>
        <argsstring />
        <name>senseMethod</name>
        <briefdescription>
<para>Specifies the widget sensing method. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="426" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="426" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__config__t_1a78fb9e1d1b8c8cdad2d4257f5881ddc2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_config_t::wdType</definition>
        <argsstring />
        <name>wdType</name>
        <briefdescription>
<para>Specifies the widget type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="427" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="427" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Widget configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="239">
        <label>cy_stc_capsense_advanced_touchpad_config_t</label>
        <link refid="structcy__stc__capsense__advanced__touchpad__config__t" />
      </node>
      <node id="252">
        <label>cy_stc_capsense_tfsc_context_t</label>
        <link refid="structcy__stc__capsense__tfsc__context__t" />
        <childnode refid="245" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
          <edgelabel>touchStartPosition2</edgelabel>
        </childnode>
      </node>
      <node id="246">
        <label>cy_stc_capsense_ofdc_context_t</label>
        <link refid="structcy__stc__capsense__ofdc__context__t" />
        <childnode refid="245" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="251">
        <label>cy_stc_capsense_ofrt_context_t</label>
        <link refid="structcy__stc__capsense__ofrt__context__t" />
        <childnode refid="245" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="245">
        <label>cy_stc_capsense_gesture_position_t</label>
        <link refid="structcy__stc__capsense__gesture__position__t" />
      </node>
      <node id="232">
        <label>cy_stc_capsense_sensor_context_t</label>
        <link refid="structcy__stc__capsense__sensor__context__t" />
      </node>
      <node id="235">
        <label>cy_stc_capsense_position_t</label>
        <link refid="structcy__stc__capsense__position__t" />
      </node>
      <node id="234">
        <label>cy_stc_capsense_touch_t</label>
        <link refid="structcy__stc__capsense__touch__t" />
        <childnode refid="235" relation="usage">
          <edgelabel>ptrPosition</edgelabel>
        </childnode>
      </node>
      <node id="249">
        <label>cy_stc_capsense_tfsl_context_t</label>
        <link refid="structcy__stc__capsense__tfsl__context__t" />
        <childnode refid="245" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
          <edgelabel>touchStartPosition2</edgelabel>
        </childnode>
      </node>
      <node id="255">
        <label>cy_stc_capsense_electrode_config_t</label>
        <link refid="structcy__stc__capsense__electrode__config__t" />
        <childnode refid="256" relation="usage">
          <edgelabel>ptrPin</edgelabel>
        </childnode>
      </node>
      <node id="231">
        <label>cy_stc_capsense_widget_config_t</label>
        <link refid="structcy__stc__capsense__widget__config__t" />
        <childnode refid="232" relation="usage">
          <edgelabel>ptrSnsContext</edgelabel>
        </childnode>
        <childnode refid="233" relation="usage">
          <edgelabel>ptrGestureConfig</edgelabel>
        </childnode>
        <childnode refid="234" relation="usage">
          <edgelabel>ptrPosFilterHistory</edgelabel>
        </childnode>
        <childnode refid="236" relation="usage">
          <edgelabel>ptrBallisticContext</edgelabel>
        </childnode>
        <childnode refid="237" relation="usage">
          <edgelabel>ptrCsxTouchHistory</edgelabel>
        </childnode>
        <childnode refid="238" relation="usage">
          <edgelabel>ptrNoiseEnvelope</edgelabel>
        </childnode>
        <childnode refid="239" relation="usage">
          <edgelabel>advConfig</edgelabel>
        </childnode>
        <childnode refid="240" relation="usage">
          <edgelabel>ptrCsxTouchBuffer</edgelabel>
        </childnode>
        <childnode refid="241" relation="usage">
          <edgelabel>ballisticConfig</edgelabel>
        </childnode>
        <childnode refid="242" relation="usage">
          <edgelabel>aiirConfig</edgelabel>
        </childnode>
        <childnode refid="243" relation="usage">
          <edgelabel>ptrGestureContext</edgelabel>
        </childnode>
        <childnode refid="255" relation="usage">
          <edgelabel>ptrEltdConfig</edgelabel>
        </childnode>
        <childnode refid="257" relation="usage">
          <edgelabel>ptrWdContext</edgelabel>
        </childnode>
      </node>
      <node id="248">
        <label>cy_stc_capsense_ofsc_context_t</label>
        <link refid="structcy__stc__capsense__ofsc__context__t" />
        <childnode refid="245" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="238">
        <label>cy_stc_capsense_smartsense_csd_noise_envelope_t</label>
        <link refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t" />
      </node>
      <node id="237">
        <label>cy_stc_capsense_csx_touch_history_t</label>
        <link refid="structcy__stc__capsense__csx__touch__history__t" />
        <childnode refid="235" relation="usage">
          <edgelabel>oldPeak</edgelabel>
        </childnode>
      </node>
      <node id="233">
        <label>cy_stc_capsense_gesture_config_t</label>
        <link refid="structcy__stc__capsense__gesture__config__t" />
      </node>
      <node id="250">
        <label>cy_stc_capsense_ofcd_context_t</label>
        <link refid="structcy__stc__capsense__ofcd__context__t" />
        <childnode refid="245" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="244">
        <label>cy_stc_capsense_ofes_context_t</label>
        <link refid="structcy__stc__capsense__ofes__context__t" />
        <childnode refid="245" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="254">
        <label>cy_stc_capsense_ofsl_context_t</label>
        <link refid="structcy__stc__capsense__ofsl__context__t" />
        <childnode refid="245" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="240">
        <label>cy_stc_capsense_csx_touch_buffer_t</label>
        <link refid="structcy__stc__capsense__csx__touch__buffer__t" />
        <childnode refid="235" relation="usage">
          <edgelabel>newPeak</edgelabel>
        </childnode>
      </node>
      <node id="241">
        <label>cy_stc_capsense_ballistic_config_t</label>
        <link refid="structcy__stc__capsense__ballistic__config__t" />
      </node>
      <node id="242">
        <label>cy_stc_capsense_adaptive_filter_config_t</label>
        <link refid="structcy__stc__capsense__adaptive__filter__config__t" />
      </node>
      <node id="256">
        <label>cy_stc_capsense_pin_config_t</label>
        <link refid="structcy__stc__capsense__pin__config__t" />
      </node>
      <node id="236">
        <label>cy_stc_capsense_ballistic_context_t</label>
        <link refid="structcy__stc__capsense__ballistic__context__t" />
      </node>
      <node id="257">
        <label>cy_stc_capsense_widget_context_t</label>
        <link refid="structcy__stc__capsense__widget__context__t" />
        <childnode refid="234" relation="usage">
          <edgelabel>wdTouch</edgelabel>
        </childnode>
      </node>
      <node id="253">
        <label>cy_stc_capsense_offl_context_t</label>
        <link refid="structcy__stc__capsense__offl__context__t" />
        <childnode refid="245" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
        </childnode>
      </node>
      <node id="247">
        <label>cy_stc_capsense_tfzm_context_t</label>
        <link refid="structcy__stc__capsense__tfzm__context__t" />
        <childnode refid="245" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
          <edgelabel>touchStartPosition2</edgelabel>
        </childnode>
      </node>
      <node id="243">
        <label>cy_stc_capsense_gesture_context_t</label>
        <link refid="structcy__stc__capsense__gesture__context__t" />
        <childnode refid="244" relation="usage">
          <edgelabel>ofesContext</edgelabel>
        </childnode>
        <childnode refid="246" relation="usage">
          <edgelabel>ofdcContext</edgelabel>
        </childnode>
        <childnode refid="247" relation="usage">
          <edgelabel>tfzmContext</edgelabel>
        </childnode>
        <childnode refid="248" relation="usage">
          <edgelabel>ofscContext</edgelabel>
        </childnode>
        <childnode refid="249" relation="usage">
          <edgelabel>tfslContext</edgelabel>
        </childnode>
        <childnode refid="250" relation="usage">
          <edgelabel>ofcdContext</edgelabel>
        </childnode>
        <childnode refid="251" relation="usage">
          <edgelabel>ofrtContext</edgelabel>
        </childnode>
        <childnode refid="252" relation="usage">
          <edgelabel>tfscContext</edgelabel>
        </childnode>
        <childnode refid="253" relation="usage">
          <edgelabel>offlContext</edgelabel>
        </childnode>
        <childnode refid="254" relation="usage">
          <edgelabel>ofslContext</edgelabel>
        </childnode>
        <childnode refid="245" relation="usage">
          <edgelabel>positionLast1</edgelabel>
          <edgelabel>positionLast2</edgelabel>
          <edgelabel>position1</edgelabel>
          <edgelabel>position2</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="437" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="379" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="380" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a94b1400ac7cf425e79664f4e19f54d0b" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>advConfig</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a44c45fc836a80c8fe858ab3d5133d751" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>aiirConfig</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a5fc7dffe9f218833d42b73769d0e6965" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ballisticConfig</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1ad2825a42c272b5c46dbcb15a21ec913f" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>centroidConfig</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a3837d9686917c0fdfc96cadb261dbc03" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>iirCoeff</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1af281dfdef5176c9db5e88cf162686ad4" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>numCols</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a93e1fecbb0649d67dee102b1ef2cd1b8" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>numRows</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1ae61718f5e9f507beaff5d105e03659a0" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>numSns</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a477c8db37f2ff589fa1967272d1f5260" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>posFilterConfig</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1ad510b796c693e08b4f4b8bf8f76c3fb5" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrBallisticContext</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1aa246164662305a0152b2736f56b67e5a" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrBslnInv</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a8da5973b3062723df1b1ebf6b7f5bd86" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrCsdTouchBuffer</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a35afcfaedb37e24127fa5642bab59b45" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrCsxTouchBuffer</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1ac662c2d9016717ff89a9fd8c26c97c02" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrCsxTouchHistory</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1aa353e792734db1ff3873175bb8e832b9" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrDebounceArr</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a6224ab7605e28404d786633b2c1c1f6b" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrDiplexTable</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1aeb69ac183634b05ecb92ab57e1b8feb9" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrEltdCapacitance</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a88a5166ff86cf001344434b0bb84d799" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrEltdConfig</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a0f4c0e442a86b761a8a00cd76ecc83b5" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrGestureConfig</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1ad60be1a14aded108976eb2d66daac7f1" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrGestureContext</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a8cbf228dd4ae8a901c911c162c70b30a" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrNoiseEnvelope</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a6136eead3f476c9c0d1d3fa1dfd8c189" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrPosFilterHistory</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a3b1c56df207169c04a05b7fa8833b0fc" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrRawFilterHistory</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a9c3303699258fdb9e0a1c51ac8542370" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrRawFilterHistoryLow</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1aace32d41062b136d802d346231967ad5" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrSnsContext</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1adb558f384dcfa5fe3701f6c377b94da3" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>ptrWdContext</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a67d55b8afd94b5ff3de3587a4241c628" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>rawFilterConfig</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a417a8786dfe62d3940fd7d5e265b9e2e" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>senseMethod</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1a78fb9e1d1b8c8cdad2d4257f5881ddc2" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>wdType</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1adfae2ef0d4316555d1e3c54e39c4aeb5" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>xResolution</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__config__t_1ae527a11d29c8deb400a6c2a58d677aee" virt="non-virtual"><scope>cy_stc_capsense_widget_config_t</scope><name>yResolution</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>